# IFrame.js

Summary

IFrame.js |
Constants |
OpenLayers.Tile.Image.IFrame | Mixin for tiles that use form-encoded POST requests to get images from remote services.
Properties |
useIFrame | {Boolean} true if we are currently using an IFrame to render POST responses, false if we are using an img element to render GET responses.
Functions |
clear | Removes the iframe from DOM (avoids back-button problems).
renderTile |
initImgDiv | Creates the imgDiv property on the tile.
createIFrame | Create the IFrame which shows the image.
createRequestForm | Create the html <form> element with width, height, bbox and all parameters specified in the layer params.

### Constants

### OpenLayers.Tile.Image.IFrame

Mixin for tiles that use form-encoded POST requests to get images from remote services. Images will be loaded using HTTP-POST into an IFrame.

This mixin will be applied to OpenLayers.Tile.Image instances configured with <OpenLayers.Tile.Image.allowPost> or <OpenLayers.Tile.Image.enforcePost> set to true.

#### Inherits from

- OpenLayers.Tile.Image

### Properties

### useIFrame

{Boolean} true if we are currently using an IFrame to render POST responses, false if we are using an img element to render GET responses.

### Functions

### clear

> clear: function()

Removes the iframe from DOM (avoids back-button problems).

### renderTile

> renderTile: function()

### initImgDiv

> initImgDiv: function()

Creates the imgDiv property on the tile.

### createIFrame

> createIFrame: function()

Create the IFrame which shows the image.

#### Returns

{DOMElement} Iframe

### createRequestForm

> createRequestForm: function()

Create the html <form> element with width, height, bbox and all parameters specified in the layer params.

#### Returns

{DOMElement} The form element which sends the HTTP-POST request to the WMS.

> clear: function()

Removes the iframe from DOM (avoids back-button problems).

> renderTile: function()

> initImgDiv: function()

Creates the imgDiv property on the tile.

> createIFrame: function()

Create the IFrame which shows the image.

> createRequestForm: function()

Create the html form element with width, height, bbox and all parameters specified in the layer params.
Instances of OpenLayers.Tile.Image are used to manage the image tiles used by various layers.
Close